### Function

# Fwupd Codec json_append_map

since: 2.0.10

#### Declaration [src]

    void
    fwupd_codec_json_append_map (
      JsonBuilder* builder,
      const gchar* key,
      GHashTable* value
    )

#### Description [src]

Appends a key and string hash map to a JSON builder.

Available since: 2.0.10

#### Parameters

`builder`

  Type: `JsonBuilder`

  A `JsonBuilder`.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GHashTable`

  A hash table.

  The data is owned by the caller of the function.